﻿using System.Collections.Generic;
using System.Windows.Interactivity;
using Infragistics.Controls.Menus;
using System.Windows;

namespace XamDataTree_Images
{
    public class XamDataTreeBehaviour : Behavior<XamDataTree>
    {
        protected override void OnAttached()
        {
            base.OnAttached();

            AssociatedObject.Loaded += AssociatedObject_Loaded;
        }

        void AssociatedObject_Loaded(object sender, RoutedEventArgs e)
        {
            ExpandAllNodes((sender as XamDataTree).Nodes, true);
        }

        private void ExpandAllNodes(IEnumerable<XamDataTreeNode> nodes, bool isExpandNode)
        {
            foreach (var node in nodes)
            {
                node.IsExpanded = isExpandNode;
                ExpandAllNodes(node.Nodes, isExpandNode);
            }
        }
        
    }
}
